<?

include_once('classes/utils/Deque.class.php');

//FIFO 

class Queue extends Deque{

	function Queue(){
		parent::Deque();
	}

	function push(&$object){
		$root  = &$this->getRoot();
		$tail  = &$this->getTail();
		
		$this->insert($object, $tail, $root);
	}
	
}
?>